Create a Global Config
POST
https://api.vercel.com/v1/global-configCreates a Global Config.
https://api.vercel.com/v1/global-config
const response = await fetch('https://api.vercel.com/v1/global-config?teamId=string&slug=string', { method: 'POST', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "slug": "string", "items": "value" }),});
const data = await response.json();console.log(data);Response
{ "createdAt": "123", "createdBy": "string", "digest": "string", "id": "icfg_1234567890", "itemCount": "123", "ownerId": "example_id", "sizeInBytes": "123", "slug": "string", "updatedAt": "123"}AuthorizationbearerToken
Default authentication mechanism
201Success
The ID of the user who created the Global Config, optional because it is not always set.
Name for the Global Config Names are not unique. Must start with an alphabetic character and can contain only alphanumeric characters and underscores).
400One of the provided values in the request body is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
410Error